import 'package:app_links/app_links.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:f0ckapp/screens/MediaGrid.dart';
import 'package:f0ckapp/utils/AppVersion.dart';
import 'package:f0ckapp/providers/ThemeProvider.dart';

import 'package:flutter_riverpod/flutter_riverpod.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await SystemChrome.setPreferredOrientations([DeviceOrientation.portraitUp]);
  await AppVersion.init();
  final Uri? initialUri = await AppLinks().getInitialLink();

  runApp(ProviderScope(child: F0ckApp(initialUri: initialUri)));
}

class F0ckApp extends ConsumerWidget {
  final Uri? initialUri;
  const F0ckApp({super.key, this.initialUri});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Consumer(
      builder: (context, ref, _) {
        return MaterialApp(
          debugShowCheckedModeBanner: false,
          theme: ref.watch(themeNotifierProvider),
          home: MediaGrid(initialUri: initialUri),
        );
      },
    );
  }
}
